dnl RCT_ENABLE_DEBUG:
dnl adds a '--enable-debug' switch which enables
dnl debugging defines
AC_DEFUN([RCT_ENABLE_DEBUG],[dnl
AC_ARG_ENABLE([debug],
              AS_HELP_STRING([--enable-debug],
                             [enable debugging (default is NO)]),
              [ac_cv_enable_debug=$withval],
              [ac_cv_enable_debug=no])
AC_CACHE_CHECK([whether to enable debugging],
               [ac_cv_enable_debug],
               [ac_cv_enable_debug=no])
if test $ac_cv_enable_debug = "yes"; then
  AC_DEFINE([DEBUG], [1], [enable debug build])
  AC_DEFINE([DEBUG_LOCAL], [1], [enable local debugging with mplayer on client not using fixed vo & ao])
fi])


dnl RCT_FLAG_WALL:
dnl checks wether $CXX support flag -Wall and adds it to
dnl the CXXFLAGS if so
AC_DEFUN([RCT_FLAG_WALL],[dnl
AC_CACHE_CHECK([whether $CXX understands -Wall],
               [ac_cv_wall],[
save_CXXFLAGS="${CXXFLAGS}"
CXXFLAGS="${CXXFLAGS} -Wall"
               AC_LINK_IFELSE([
int
main(int argc, char* argv[]) {
  return 0;
}
],[ac_cv_wall=yes],[ac_cv_wall=no])
CXXFLAGS="${save_CXXFLAGS}"
unset save_CXXFLAGS
])
if test $ac_cv_wall = "yes"; then
  CFLAGS="$CFLAGS -Wall"
  CXXFLAGS="$CXXFLAGS -Wall"
fi])
